com.opensymphony.xwork2.validator

## Class ValidatorConfig.Builder

- java.lang.Object
- - com.opensymphony.xwork2.validator.ValidatorConfig.Builder

- Enclosing class:
    ValidatorConfig

      public static final class ValidatorConfig.Builder
      extends Object

  Builds a ValidatorConfig

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatorConfig.Builder(String validatorType)`
    `ValidatorConfig.Builder(ValidatorConfig config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidatorConfig.Builder` | `addParam(String name, Object value)`
    `ValidatorConfig.Builder` | `addParams(Map<String,Object> params)`
    `ValidatorConfig` | `build()`
    `ValidatorConfig.Builder` | `defaultMessage(String msg)`
    `ValidatorConfig.Builder` | `location(Location loc)`
    `ValidatorConfig.Builder` | `messageKey(String key)`
    `ValidatorConfig.Builder` | `messageParams(String[] msgParams)`
    `ValidatorConfig.Builder` | `removeParam(String key)`
    `ValidatorConfig.Builder` | `shortCircuit(boolean shortCircuit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidatorConfig.Builder

          public ValidatorConfig.Builder(String validatorType)

    - #### ValidatorConfig.Builder

          public ValidatorConfig.Builder(ValidatorConfig config)

  - ### Method Detail

    - #### shortCircuit

          public ValidatorConfig.Builder shortCircuit(boolean shortCircuit)

    - #### defaultMessage

          public ValidatorConfig.Builder defaultMessage(String msg)

    - #### messageParams

          public ValidatorConfig.Builder messageParams(String[] msgParams)

    - #### messageKey

          public ValidatorConfig.Builder messageKey(String key)

    - #### addParam

          public ValidatorConfig.Builder addParam(String name,
                                         Object value)

    - #### addParams

          public ValidatorConfig.Builder addParams(Map<String,Object> params)

    - #### location

          public ValidatorConfig.Builder location(Location loc)

    - #### build

          public ValidatorConfig build()

    - #### removeParam

          public ValidatorConfig.Builder removeParam(String key)

Copyright © 2000–2020 Apache Software Foundation. All rights reserved.